      program SynClock ! BB sep 11 2017.
c Relativistic distance measurement and synchronization of clocks.
      implicit real*8 (a-h,o-z)
      logical ltest
      parameter(iuo=6,c=3.d08,y=365.d0*24.d0*3600.d0,xly=c*y)
c Second in years; meter in light years:
      parameter(s=9 192 631 770.d00,xm=1.d00/xly)
      ltest=.true.
c
      write(iuo,'(/," SynClock:",/)') 
      time=2 757 789 531 312.d00/s
      write(iuo,'(" time [s] =",1f8.2,/)') time
      if(ltest) stop "SynClocks: ltest."
c
      g=9.81d00
      write(iuo,'(" year [s]  =",1g10.3)') y
      write(iuo,'(" g [m/s^2] =",1f5.2)') g
c
      write(iuo,'(/," gav.f results (y year, ly light year):",/)') 
      g=g*xm/s**2
      write(iuo,'(" m [ly]     =",1g10.3)') xm
      write(iuo,'(" s [y]      =",1g10.3)') s
      write(iuo,'(" c [ly/y]   =",1f6.3,/)') 1.d00
      write(iuo,'(" g [ly/y^2] =",1f5.2,/)') g
c
      stop "grav: all done."
      end
